#!/usr/bin/python

import os
import sys
import pygtk ; pygtk.require('2.0') 
import gtk 
import gtk.glade 

if len(sys.argv) != 2:
  print "Synopsis: sw-search.py </path/to/swish.index>"
  sys.exit(1)

class GUI(gtk.glade.XML): 
   def __init__(self): 
      gtk.glade.XML.__init__(self, '/usr/local/share/sw-search/sw-search.glade') 
      self.signal_autoconnect(self) 
   def window_destroyed(self,widget):
      gtk.main_quit()
   def on_btnSearch_clicked(self,widget):
      ed=self.get_widget('txtSearch')
      query=ed.get_text()
      query=query.encode('koi8-r')
      pd=os.popen("swish-search -f "+sys.argv[1]+" -x '[%r] %p - <swishlastmodified fmt=\"%d.%m.%Y, %H:%M:%S\">, %l bytes\n' -w "+query)
      text=pd.read()
      text=text.decode('koi8-r')
      pd.close()
      tv = self.get_widget('txtOutput')
      buffer = tv.get_buffer()
      buffer.set_text(text)

if __name__ == "__main__": 
   app = GUI() 
   gtk.main()
